-- Here are the console variables and commands. From here, we fiddle with MinHUD! ~Lianvee
local L = L_MinHud
local CV = L.Console

local white="\x80"	--White/Reset
local magenta="\x81"--Magenta
local yellow="\x82"	--Yellow
local green="\x83"	--Green
local blue="\x84"	--Blue
local red="\x85"	--Red
local gray="\x86"	--Gray
local orange="\x87"	--Orange
local sky="\x88"	--Sky
local purple="\x89"	--Purple
local aqua="\x8A"	--Aqua
local peridot="\x8B"--Peridot
local azure="\x8C"	--Azure
local brown="\x8D"	--Brown
local rosy="\x8E" 	--Rosy
local inv="\x8F" 	--Inverted

CV.SeenPlayerColor = CV_RegisterVar{
	name = "minhud_seenplayer_color",
	flags = CV_SHOWMODIF,
	PossibleValue = {Colorless=0, Teams=1, Friend=2, PlayerColor=3},
	defaultvalue = "Colorless",
}
CV.SeenPlayer = CV_RegisterVar{
	name = "minhud_seenplayer",
	flags = CV_SHOWMODIF,
	PossibleValue = CV_OnOff,
	defaultvalue = "On",
}

CV.TimerType = CV_RegisterVar{
	name = "minhud_timerres",
	flags = CV_SHOWMODIF,
	PossibleValue = {Classic=0, Centiseconds=1, Tics=2},
	defaultvalue = "Classic",
}

CV.Style = CV_RegisterVar{
	name = "minhud_style",
	flags = CV_SHOWMODIF,
	PossibleValue = {Minimal=0, Classic=1, Compact=2},
	defaultvalue = "Minimal",
}
CV.MINHUD = CV_RegisterVar{
	name = "minhud",
	flags = CV_SHOWMODIF,
	PossibleValue = CV_OnOff,
	defaultvalue = "Off",
}

CV.Config = COM_AddCommand("minhud_config", function(player, cfg)
-- Save or load MinHUD-related configuration into a .cfg file via calling the command this function is attached to.
	if not (cfg == "load" or cfg == "save") then
		print(yellow.."minhud_config "..gray.."<"..white.."load"..gray.."/"..white.."save"..gray..">"..white..": Load from or save to MinHUD's configuration file.")
	elseif (cfg == "load") then
		print(yellow.."Attempting to load saved configuration...")
		COM_BufInsertText(player, "exec luafiles/client/l_minhud.cfg")
	elseif (cfg == "save") then
		local switch = CV.MINHUD.value
		local style = CV.Style.value
		
		local timerres = CV.TimerType.value
		
		local seenplayer = CV.SeenPlayer.value
		local seenplayercolor = CV.SeenPlayerColor.value
	
		local file = io.openlocal("client/l_minhud.cfg", "w") -- Write our configuration if we're called!
		file:write("minhud "..switch.." 1\n")
		file:write("minhud_style "..style.." 1\n")
		
		file:write("minhud_timerres "..timerres.." 1\n")
		
		file:write("minhud_seenplayer "..seenplayer.." 1\n")
		file:write("minhud_seenplayer_color "..seenplayercolor.." 1\n")
		
		file:close() -- End it here. We're done.
		print(yellow.."Configuration has been saved!")
	end
end, COM_LOCAL)