local L = L_MinHud

local CV = L.Console
local FN = L.Functions

local col_table = {
	[V_GRAYMAP] = "\x86",
	[V_REDMAP] = "\x85",
	[V_BROWNMAP] = "\x8d",
	[V_GREENMAP] = "\x83",
	[V_AZUREMAP] = "\x8c",
	[V_PURPLEMAP] = "\x89",
	[V_ROSYMAP] = "\x8e",
	[V_ORANGEMAP] = "\x87",
	[V_YELLOWMAP] = "\x82",
	[V_PERIDOTMAP] = "\x8b",
	[V_AQUAMAP] = "\x8a",
	[V_SKYMAP] = "\x88",
	[V_BLUEMAP] = "\x84",
	[V_MAGENTAMAP] = "\x81",
	[V_INVERTMAP] = "\x86" -- Killer of eyes. Like, HOLY SHIT.
}
local trans_table = {}
trans_table[0] = V_90TRANS
trans_table[1] = V_80TRANS
trans_table[2] = V_70TRANS
trans_table[3] = V_60TRANS
trans_table[4] = V_50TRANS
trans_table[5] = V_40TRANS
trans_table[6] = V_30TRANS

local colorless, teams, friend, player_color = 0, 1, 2, 3

FN.SeenPlayerLogic = function()
-- Does the logic of the 'SeenPlayer' when you look at another player to see their name.
-- Works in tandem with the drawing function.
	local tics, player = L.SeenTics, L.SeenPlayer
	local color, trans = "\x80", trans_table[min(max(0, tics-1), 6)]
	local cv_seencolor = CV.SeenPlayerColor.value
	
	L.SeenTics = max(0, $-1)
	if (cv_seencolor == colorless)
		-- Colorless.
		color = "\x80" -- White.
	elseif (cv_seencolor == teams)
		-- Team color.
		if (player and player.valid)
		and G_GametypeHasTeams()
			if (player.ctfteam == 1)
				color = "\x85" -- Red.
			elseif (player.ctfteam == 2)
				color = "\x84" -- Blue.
			else
				color = "\x80" -- White.
			end
		else
			color = "\x80"
		end
	elseif (cv_seencolor == friend)
		-- Friend-or-Foe color.
		if (player and player.valid)
			if G_GametypeHasTeams()
				if (player.ctfteam == consoleplayer.ctfteam)
					color = "\x83" -- Green.
				else
					color = "\x85" -- Red.
				end
			elseif G_TagGametype()
				if (player.pflags & PF_TAGIT == consoleplayer.pflags & PF_TAGIT)
					color = "\x83"
				else
					color = "\x85"
				end
			elseif (gametyperules & GTR_FRIENDLY)
				color = "\x83"
			else
				color = "\x85"
			end
		else
			color = "\x80" -- White.
		end
	elseif (cv_seencolor == player_color)
		-- Player color.
		if (player and player.valid) then
			local validcolor = player.skincolor and player.skincolor or SKINCOLOR_GREEN
			local namecolor = skincolors[validcolor].chatcolor
			color = col_table[namecolor] -- Player's skincolor.
			if color == nil
				color = "\x80" -- White.
			end
		end
	end
	
	return color, trans
end