local L = L_MinHud
local FN = L.Functions

FN.GetWeaponIcon = function(v, player, type)
-- Return weapon patch. Assists drawing functions.
	local patch = v.cachePatch("RINGIND")
	
	if (type == 0) then
		if (player.powers[pw_infinityring]) then
			patch = v.cachePatch("INFNIND")
		else
			patch = v.cachePatch("RINGIND")
		end
	elseif (type == 1)
		patch = v.cachePatch("AUTOIND")
	elseif (type == 2)
		patch = v.cachePatch("BNCEIND")
	elseif (type == 3)
		patch = v.cachePatch("SCATIND")
	elseif (type == 4)
		patch = v.cachePatch("GRENIND")
	elseif (type == 5)
		patch = v.cachePatch("BOMBIND")
	elseif (type == 6)
		patch = v.cachePatch("RAILIND")
	end
	
	return patch
end

FN.GetWeaponAmmo = function(player, type)
-- Return weapon ammo & max ammo. Assists drawing functions.
	local ammo, maxammo, rawammo = 0, 0, 0
	
	if (type == 0) then
		if (player.powers[pw_infinityring]) then
			ammo = player.powers[pw_infinityring]
			maxammo = 800
		else
			ammo = player.rings
			maxammo = 0
		end
	elseif (type == 1)
		ammo = player.powers[pw_automaticring]
		maxammo = 400
	elseif (type == 2)
		ammo = player.powers[pw_bouncering]
		maxammo = 100
	elseif (type == 3)
		ammo = player.powers[pw_scatterring]
		maxammo = 50
	elseif (type == 4)
		ammo = player.powers[pw_grenadering]
		maxammo = 100
	elseif (type == 5)
		ammo = player.powers[pw_explosionring]
		maxammo = 50
	elseif (type == 6)
		ammo = player.powers[pw_railring]
		maxammo = 50
	end
	rawammo = ammo
	
	if (maxammo) then -- If our weapon has max capacity.
		if (ammo == 0) then
			ammo = "\x86"+$ -- Gray. No ammo.
		elseif (ammo <= maxammo/10) then
			ammo = (L.Tic/4)&1 and "\x85"+$ or "\x80"+$ -- Flash red. Low ammo.
		elseif (ammo >= maxammo) then
			ammo = "\x82"+$ -- Yellow. Max reached.
		else
			ammo = "\x80"+$ -- White. Default in most cases.
		end
	end
	
	return ammo, maxammo, rawammo
end

FN.GotWeapon = function(player, type)
-- Check if player has specified weapon. Assists drawing functions.
	if (type == RW_AUTO) and (player.ringweapons & RW_AUTO)
	or (type == RW_BOUNCE) and (player.ringweapons & RW_BOUNCE)
	or (type == RW_SCATTER) and (player.ringweapons & RW_SCATTER)
	or (type == RW_GRENADE) and (player.ringweapons & RW_GRENADE)
	or (type == RW_EXPLODE) and (player.ringweapons & RW_EXPLODE)
	or (type == RW_RAIL) and (player.ringweapons & RW_RAIL)
		then return true
	end
	
	return false
end