local L = L_MinHud
local FN = L.Functions

FN.GetRingsPatch = function(v, player)
-- Return patch for the rings icon. Patch returned is dependent on conditions.
	local patch = 'HUD_RING'+tostring(L.Tic%24) -- Gold!
	
	if (player.spectator) or (player.playerstate == PST_DEAD) -- Spectator OR dead.
	or (player.actionstate) and (L.Tic/2 & 1) -- BattleMod: Using special ability.
	or (player.actioncooldown) and (L.Tic/8 & 1) -- BattleMod: On special ability cooldown.
		then patch = 'HUD_GRING'+tostring(L.Tic%24) -- Gray!
	elseif not (player.spectator) -- Not spectator.
	and (player.rings <= 0) -- No rings (or in debt).
	and (L.Tic/5 & 1) -- Flash this color for 5 tics then repeat after 5 tics have elapsed since then.
		then patch = 'HUD_RRING'+tostring(L.Tic%24) -- Red!
	end
	
	return v.cachePatch(patch)
end

FN.GetRingsAmount = function(player)
-- Get amount of specified player's rings. Fancy string and raw value are returned.
	local text, rings = '', player.rings
	
	if (player.rings <= 0) -- No rings (or in debt).
	or (player.spectator) -- Spectating.
	or (player.playerstate == PST_DEAD) -- Dead.
	then
		text, rings = '0', 0 -- Not in a situation where they matter now...
		if (player.playerstate == PST_DEAD) then
			text = "\x8F"+$ -- You're friggin' dead kiddo. (Inverted color string!)
		end
	else
		text = tostring(rings) -- As usual!
	end
	
	return text, rings
end