local L = L_MinHud
local FN = L.Functions

FN.FlashColor = function(colormin, colormax, tickertype)
-- As the name would imply.
-- Flash colors from point A to B.
	local N = 32 -- Rate of oscillation.
-- 	local size = colormax-colormin+1 -- Color spectrum.
	local scale = 2 -- Factor-amount to reduce the oscillation intensity.
	local offset = 0 -- Offset the origin of oscillation.
	local oscillate -- Oscillation cycle.
	if (tickertype) then -- Use leveltime to do the animation (freezes on game pause/desynch).
		oscillate = abs((leveltime&(N*2-1))-N)/scale
	else -- Use the HUD ticker instead.
		oscillate = abs((L.Tic&(N*2-1))-N)/scale
	end
	local c = colormin+oscillate+offset -- Offset.
	c = max(colormin,min(colormax,$)) -- Enforce min/max.
	return c
end

FN.FlashRainbow = function(tickertype)
-- Identical to FN.FlashColor, with exception it flashes between colors of the rainbow.
	local t
	if (tickertype) then
		t = (leveltime&15)>>2
	else
		t = (L.Tic&15)>>2
	end
	if t == 0 then return FN.FlashColor(SKINCOLOR_SUPERGOLD1,SKINCOLOR_SUPERGOLD5) end
	if t == 1 then return FN.FlashColor(SKINCOLOR_SUPERSKY1,SKINCOLOR_SUPERSKY5) end
	if t == 2 then return FN.FlashColor(SKINCOLOR_SUPERTAN1,SKINCOLOR_SUPERTAN5) end
	if t == 3 then return FN.FlashColor(SKINCOLOR_SUPERSILVER1,SKINCOLOR_SUPERSILVER5) end
end