local L = L_MinHud
local FN = L.Functions

local lives_x, lives_y = 16, 176 --hudinfo[HUD_LIVES]

local rings_x, rings_y = 16, 42 --hudinfo[HUD_RINGS]
local ringsnum_x, ringsnum_y = 96, 42 --hudinfo[HUD_RINGSNUM]
local ringsnumtics_x, ringsnumtics_y = 120, 42 --hudinfo[HUD_RINGSNUMTICS]

local score_x, score_y = 16, 10 --hudinfo[HUD_SCORE]
local scorenum_x, scorenum_y = 120, 10 --hudinfo[HUD_SCORENUM]

local time_x, time_y = 16, 26 --hudinfo[HUD_TIME]
local minutes_x, minutes_y = 72, 26 --hudinfo[HUD_MINUTES]
local timecolon_x, timecolon_y = 72, 26 --hudinfo[HUD_TIMECOLON]
local seconds_x, seconds_y = 96, 26 --hudinfo[HUD_SECONDS]
local timeticcolon_x, timeticcolon_y = 96, 26 --hudinfo[HUD_TIMETICCOLON]
local tics_x, tics_y = 120, 26 --hudinfo[HUD_TICS]

local hunt_x, hunt_y = 152, 168 --hudinfo[HUD_HUNTPICS]

local powerups_x, powerups_y = 288, 176 --hudinfo[HUD_POWERUPS]

local hide_x, hide_y = 320*32, 200*32


local VanillaElements = { -- Lets us do stuff quickly.
	-- ///// --
	"score",
	"time",
	"lives",
	"rings",
	"teamscores",
	-- ///// --
	"weaponrings",
	"powerstones",
	-- ///// --
}

FN.ToggleHUD = function(on_or_off)
-- (Re)Enable or disable vanilla HUD elements.
	if (on_or_off) then
		for n = 1, #VanillaElements
			hud.enable(VanillaElements[n])
		end
	else
		for n = 1, #VanillaElements
			hud.disable(VanillaElements[n])
		end
	end
end

FN.HideHUD = function()
-- Repositions vanilla HUD elements (Out-Of-Bounds to hide). In cases where trying to disable them is overruled.
	hudinfo[HUD_LIVES].x, hudinfo[HUD_LIVES].y = hide_x, hide_y
	
	hudinfo[HUD_RINGS].x, hudinfo[HUD_RINGS].y = hide_x, hide_y
	hudinfo[HUD_RINGSNUM].x, hudinfo[HUD_RINGSNUM].y = hide_x, hide_y
	hudinfo[HUD_RINGSNUMTICS].x, hudinfo[HUD_RINGSNUMTICS].y = hide_x, hide_y
	
	hudinfo[HUD_SCORE].x, hudinfo[HUD_SCORE].y = hide_x, hide_y
	hudinfo[HUD_SCORENUM].x, hudinfo[HUD_SCORENUM].y = hide_x, hide_y
	
	hudinfo[HUD_TIME].x, hudinfo[HUD_TIME].y = hide_x, hide_y
	hudinfo[HUD_MINUTES].x, hudinfo[HUD_MINUTES].y = hide_x, hide_y
	hudinfo[HUD_TIMECOLON].x, hudinfo[HUD_TIMECOLON].y = hide_x, hide_y
	hudinfo[HUD_SECONDS].x, hudinfo[HUD_SECONDS].y = hide_x, hide_y
	hudinfo[HUD_TIMETICCOLON].x, hudinfo[HUD_TIMETICCOLON].y = hide_x, hide_y
	hudinfo[HUD_TICS].x, hudinfo[HUD_TICS].y = hide_x, hide_y
	
	hudinfo[HUD_HUNTPICS].x, hudinfo[HUD_HUNTPICS].y = hide_x, hide_y
	
	hudinfo[HUD_POWERUPS].x, hudinfo[HUD_POWERUPS].y = hide_x, hide_y
end

FN.ShowHUD = function()
-- Repositions vanilla HUD elements (original locations).
	hudinfo[HUD_LIVES].x, hudinfo[HUD_LIVES].y = lives_x, lives_y
	
	hudinfo[HUD_RINGS].x, hudinfo[HUD_RINGS].y = rings_x, rings_y
	hudinfo[HUD_RINGSNUM].x, hudinfo[HUD_RINGSNUM].y = ringsnum_x, ringsnum_y
	hudinfo[HUD_RINGSNUMTICS].x, hudinfo[HUD_RINGSNUMTICS].y = ringsnumtics_x, ringsnumtics_y
	
	hudinfo[HUD_SCORE].x, hudinfo[HUD_SCORE].y = score_x, score_y
	hudinfo[HUD_SCORENUM].x, hudinfo[HUD_SCORENUM].y = scorenum_x, scorenum_y
	
	hudinfo[HUD_TIME].x, hudinfo[HUD_TIME].y = time_x, time_y
	hudinfo[HUD_MINUTES].x, hudinfo[HUD_MINUTES].y = minutes_x, minutes_y
	hudinfo[HUD_TIMECOLON].x, hudinfo[HUD_TIMECOLON].y = timecolon_x, timecolon_y
	hudinfo[HUD_SECONDS].x, hudinfo[HUD_SECONDS].y = seconds_x, seconds_y
	hudinfo[HUD_TIMETICCOLON].x, hudinfo[HUD_TIMETICCOLON].y = timeticcolon_x, timeticcolon_y
	hudinfo[HUD_TICS].x, hudinfo[HUD_TICS].y = tics_x, tics_y
	
	hudinfo[HUD_HUNTPICS].x, hudinfo[HUD_HUNTPICS].y = hunt_x, hunt_y
	
	hudinfo[HUD_POWERUPS].x, hudinfo[HUD_POWERUPS].y = powerups_x, powerups_y
end