local L = L_MinHud
local FN = L.Functions

FN.FixedLerp = function(val1, val2, amt)
-- Lerp is also known as interpolation. Get an interpolated value back based on values given.
-- Useful for tricks such as text sliding into view.
	local p = FixedMul(FRACUNIT-amt,val1) + FixedMul(amt,val2)
	return p
end

FN.GetZAngle = function(x1, y1, z1, x2, y2, z2)
-- Gets the Z angle between point A to point B.
-- Useful for making a compass that tracks verticality.
	local xydist = R_PointToDist2(x1, y1, x2, y2)
	local zdist = z2-z1
	return R_PointToAngle2(0,0,xydist,zdist)
end