local L = L_MinHud

local HUD = L.HeadsUpDisplay
local FN = L.Functions
local CV = L.Console

local function GetRedCoords()
-- Coordinates to use depending on MinHUD's style (red team).
	local rx, ry = 0, 0
	if (CV.Style.value == 0 or CV.Style.value == 1) then
		rx, ry = 180, 10
	elseif (CV.Style.value == 2)
		rx, ry = 260, 10
	end
	
	return rx, ry
end

local function GetBlueCoords()
-- Coordinates to use depending on MinHUD's style (blue team).
	local bx, by = 0, 0
	if (CV.Style.value == 0 or CV.Style.value == 1) then
		bx, by = 140, 10
	elseif (CV.Style.value == 2)
		bx, by = 60, 10
	end
	
	return bx, by
end

HUD.MinHUDTeam = function(v, player, cam)
-- Draw Team-related HUD for team-based games. The compass for CTF flags is an extra.
	if FN.Draw() and (gametyperules & GTR_TEAMS) then
		local rx, ry = GetRedCoords()
		local bx, by = GetBlueCoords()
		local flags = V_SNAPTOTOP|V_PERPLAYER|V_HUDTRANS
		
		local red, blue = v.cachePatch("HUD_RTEAM"), v.cachePatch("HUD_BTEAM")
		if (gametyperules & GTR_TEAMFLAGS)
			red, blue = v.cachePatch("HUD_RFLAG"), v.cachePatch("HUD_BFLAG")
		end
		local cred, cblue = v.getColormap(TC_RAINBOW, SKINCOLOR_RED), v.getColormap(TC_RAINBOW, SKINCOLOR_BLUE)
		
		v.drawScaled(rx*FU, ry*FU, FU/2, red, flags)
		v.drawString(rx + 15, ry + 4, redscore, flags, "thin")
		
		v.drawScaled(bx*FU, by*FU, FU/2, blue, flags)
		v.drawString(bx - 15, by + 4, bluescore, flags, "thin-right")
		
		if (gametyperules & GTR_TEAMFLAGS)
			FN.DoCTFFlag(v, player, rx, ry, flags, 1)
			FN.DoCTFCompass(v, player, cam, rx, ry+7, flags, L.RedFlag, 1, cred)
			FN.DoCTFFlag(v, player, bx, by, flags, 2)
			FN.DoCTFCompass(v, player, cam, bx, by+7, flags, L.BlueFlag, 2, cblue)
		end
	end
end