local L = L_MinHud

local HUD = L.HeadsUpDisplay
local CV = L.Console
local FN = L.Functions

local FU = FRACUNIT
local minimal, classic, compact = 0, 1, 2

HUD.MinHUDLives = function(v, player)
-- Simple handler yet bulky drawing functions.
	if FN.Draw() and not (FN.DrawSpecial() or modeattacking)
	and not (player.revenge) then -- Don't show in BattleMod if we're in revenge mode.
		local skin = FN.GetSkin(player)
		local color = FN.GetColor(v, player, true, true)
		local trans = FN.GetTransparency(player, false)
		
		local name, ogname = FN.GetName(player)
		local lives = FN.GetLives(player)
		
		if (CV.Style.value == minimal) then -- MinHUD's Minimal style. Tiny and off the way.
			local flags = V_SNAPTOBOTTOM|V_PERPLAYER
			local namealign = FN.ShortenName(v, ogname, "center")
			
			v.drawScaled(160*FU, 194*FU, FU/2, v.getSprite2Patch(skin, SPR2_LIFE), flags|trans, color)
			
			v.drawString(160, 180, name, flags|V_HUDTRANS, namealign)
			v.drawString(166, 188, lives, flags|V_HUDTRANS, "left")
		elseif (CV.Style.value == classic) then -- MinHUD's Classic stlye. Mimics vanilla.
			local flags = V_SNAPTOLEFT|V_SNAPTOBOTTOM|V_PERPLAYER
			local namealign = FN.ShortenName(v, ogname, "left")
			
			v.drawScaled(12*FU, 190*FU, FU, v.getSprite2Patch(skin, SPR2_LIFE), flags|trans, color)
			v.drawString(20, 178, name, flags|V_HUDTRANS, namealign)
			v.drawString(20, 186, lives, flags|V_HUDTRANS, "left")
		elseif (CV.Style.value == compact) then -- MinHUD's Compact stlye. Mostly in one place.
			local flags = V_SNAPTOBOTTOM|V_PERPLAYER
			local namealign = FN.ShortenName(v, ogname, "right")
			
			v.drawScaled(152*FU, 192*FU, FU, v.getSprite2Patch(skin, SPR2_LIFE), flags|trans, color)
			v.drawString(158, 170, name, flags|V_HUDTRANS, namealign)
			v.drawString(142, 184, lives, flags|V_HUDTRANS, "right")
		else
			return
		end
	end
end