local L = L_MinHud

local HUD = L.HeadsUpDisplay
local CV = L.Console
local FN = L.Functions

local minimal, classic, compact = 0, 1, 2
local FU = FRACUNIT

HUD.MinHUDPowers = function(v, player)
-- Although the handler is simple, the drawing functions are a monstrosity.
	if FN.Draw() and not (player.spectator) then -- Built-in extra. Due to pw_underwater and pw_spacetime being technically 'powers'... this is here.
		FN.DrawOxygenMeter(v, player, 160, 140, V_TRANSLUCENT|V_SNAPTOBOTTOM|V_PERPLAYER)
	end
	
	if FN.Draw() and not FN.DrawSpecial() and not (player.spectator) then
		if (CV.Style.value == minimal) then -- MinHUD's Minimal style. Tiny and off the way.
			local flags = V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|FN.GetTransparency(player, false)
			
			FN.DrawPowerups(
				v, player, -- Self explanatory.
				4*FU, 178*FU, FU/2, flags, -- Powerups X & Y. Scale. Flags.
				8*FU, 170*FU, 'thin-fixed-center', -- Timed powerups string X & Y & alignment. Relative to the powerup they're related to.
				10*FU, 0 -- Distance to shift and which angle to do so.
			)
		elseif (CV.Style.value == classic) -- MinHUD's Classic style. Mimics vanilla.
			local flags = V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_PERPLAYER|FN.GetTransparency(player, false)
			
			FN.DrawPowerups(
				v, player,
				300*FU, 180*FU, FU, flags,
				308*FU, 172*FU, 'fixed-center',
				20*FU, ANGLE_180
			)
		elseif (CV.Style.value == compact) then -- MinHUD's Compact stlye. Mostly in one place.
			local flags = V_SNAPTOBOTTOM|V_PERPLAYER|FN.GetTransparency(player, false)
			
			FN.DrawPowerups(
				v, player,
				162*FU, 170*FU, FU/2, flags,
				166*FU, 162*FU, 'thin-fixed-center',
				10*FU, 0
			)
		else
			return
		end
	end
end