local L = L_MinHud

local HUD = L.HeadsUpDisplay
local CV = L.Console
local FN = L.Functions

local FU = FRACUNIT
local minimal, classic, compact = 0, 1, 2

HUD.MinHUDRings = function(v, player)
-- Simple handler with simple drawing functions.
	if FN.Draw() and not FN.DrawSpecial()
	and not (player.revenge) then -- Don't show in BattleMod if we're in revenge mode.
		local ringpatch = FN.GetRingsPatch(v, player)
		local ringstext, ringsnum = FN.GetRingsAmount(player)
		
		if (CV.Style.value == minimal) then -- MinHUD's Minimal style. Tiny and off the way.
			local flags = V_SNAPTOBOTTOM|V_SNAPTOLEFT|V_PERPLAYER|FN.GetTransparency(player, false)
			
			v.drawScaled(4*FU, 188*FU, FU/2, ringpatch, flags)
			v.drawString(14, 188, ringstext, flags, "left")
		elseif (CV.Style.value == classic) then -- MinHUD's Classic stlye. Mimics vanilla.
			local flags = V_SNAPTOTOP|V_SNAPTOLEFT|V_PERPLAYER|FN.GetTransparency(player, false)
			
			v.drawScaled(4*FU, 42*FU, FU, ringpatch, flags)
			v.drawString(22, 46, ringstext, flags, "left")
		elseif (CV.Style.value == compact) then -- MinHUD's Compact stlye. Mostly in one place.
			local flags = V_SNAPTOBOTTOM|V_PERPLAYER|FN.GetTransparency(player, false)
			
			v.drawScaled(162*FU, 180*FU, FU, ringpatch, flags)
			v.drawString(180, 184, ringstext, flags, "left")
		else
			return
		end
	end
end