local L = L_MinHud

local HUD = L.HeadsUpDisplay
local CV = L.Console
local FN = L.Functions

local FU = FRACUNIT
local minimal, classic, compact = 0, 1, 2

HUD.MinHUDScore = function(v, player)
-- Simplistic in both handler and drawing functions.
	if FN.Draw() and not FN.DrawSpecial() then
		local chip, color = FN.GetScoreChip(v, player)
		
		if (CV.Style.value == minimal) then -- MinHUD's Minimal style. Tiny and off the way.
			local flags = V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_PERPLAYER|FN.GetTransparency(player, false)
			
			v.drawScaled(308*FU, 178*FU, FU/2, chip, flags, color)
			v.drawString(306, 178, player.score, flags, "right")
		elseif (CV.Style.value == classic) then -- MinHUD's Classic stlye. Mimics vanilla.
			local flags = V_SNAPTOTOP|V_SNAPTOLEFT|V_PERPLAYER|FN.GetTransparency(player, false)
			
			v.drawScaled(4*FU, 4*FU, FU, chip, flags, color)
			v.drawString(22, 8, player.score, flags, "left")
		elseif (CV.Style.value == compact) then -- MinHUD's Compact stlye. Mostly in one place.
			local flags = V_SNAPTOTOP|V_PERPLAYER|FN.GetTransparency(player, false)
			
			v.drawScaled(162*FU, 4*FU, FU, chip, flags, color)
			v.drawString(180, 8, player.score, flags, "left")
		else
			return
		end
	end
end