local L = L_MinHud

local HUD = L.HeadsUpDisplay
local CV = L.Console
local FN = L.Functions

local FU = FRACUNIT
local minimal, classic, compact = 0, 1, 2

HUD.MinHUDTimer = function(v, player)
-- Simple handler with fancy logic for a timer.
	FN.DoCountdown(v, player) -- "3. 2. 1. GO!" At beginning of matches and at the ends.
	FN.DoOvertime(v) -- "OVERTIME!" once time limit is hit but there's a stalemate.
	
	if FN.Draw() and not FN.DrawSpecial() then
		local clock, time, tics, flash = FN.GetTimer(v, player)
		
		if (CV.Style.value == minimal) then  -- MinHUD's Minimal style. Tiny and off the way.
			local flags = V_SNAPTOBOTTOM|V_SNAPTORIGHT|V_PERPLAYER|V_HUDTRANS
	
			v.drawScaled(308*FU, 188*FU, FU/2, clock, flags)
			v.drawString(306, 188, time, flags, "right")
		elseif (CV.Style.value == classic) then -- MinHUD's Classic style. Mimics vanilla.
			local flags = V_SNAPTOTOP|V_SNAPTOLEFT|V_PERPLAYER|V_HUDTRANS
			
			v.drawScaled(4*FU, 22*FU, FU, clock, flags)
			v.drawString(22, 26, time, flags, "left")
		elseif (CV.Style.value == compact) then -- MinHUD's Compact stlye. Mostly in one place.
			local flags = V_SNAPTOTOP|V_PERPLAYER|V_HUDTRANS
			
			v.drawScaled(142*FU, 4*FU, FU, clock, flags)
			v.drawString(140, 8, time, flags, "right")
		else
			return
		end
	end
end