local L = L_MinHud

local HUD = L.HeadsUpDisplay
local FN = L.Functions

HUD.MinHUDPlayerConfiguration = function(v)
-- Shows the player settings while on the menu. Shows splitscreen player's too.
-- Character, name, and colour used.
	if FN.Draw() then
		local cv_name1, cv_name2 = CV_FindVar("name"), CV_FindVar("name2")
		local name_string1, name_string2 = cv_name1.string, cv_name2.string
		local name_alignment1, name_alignment2 = "left", "right"
		if (v.stringWidth(name_string1) > 8*8) then name_alignment1 = "small" end
		if (v.stringWidth(name_string2) > 8*8) then name_alignment2 = "small-right" end
		
		local cv_skin1, cv_skin2 = CV_FindVar("skin"), CV_FindVar("skin2")
		local skin_val1, skin_string1 = cv_skin1.value, cv_skin1.string
		local skin_val2, skin_string2 = cv_skin2.value, cv_skin2.string
		
		local cv_color1, cv_color2 = CV_FindVar("color"), CV_FindVar("color2")
		local color_val1, color_string1 = cv_color1.value, cv_color1.string
		local color_val2, color_string2 = cv_color2.value, cv_color2.string
		local color_alignment1, color_alignment2 = "left", "right"
		if (v.stringWidth(color_string1) > 10*8) then color_alignment1 = "thin" end
		if (v.stringWidth(color_string2) > 10*8) then color_alignment2 = "thin-right" end
		
		local color1 = skincolors[color_val1].chatcolor -- Thanks Mr. Krabs!
		local color2 = skincolors[color_val2].chatcolor -- Thanks Mr. Krabs!
		local col_table = 
		{
			[V_GRAYMAP] = "\x86",
			[V_REDMAP] = "\x85",
			[V_BROWNMAP] = "\x8d",
			[V_GREENMAP] = "\x83",
			[V_AZUREMAP] = "\x8c",
			[V_PURPLEMAP] = "\x89",
			[V_ROSYMAP] = "\x8e",
			[V_ORANGEMAP] = "\x87",
			[V_YELLOWMAP] = "\x82",
			[V_PERIDOTMAP] = "\x8b",
			[V_AQUAMAP] = "\x8a",
			[V_SKYMAP] = "\x88",
			[V_BLUEMAP] = "\x84",
			[V_MAGENTAMAP] = "\x81",
			[V_INVERTMAP] = "\x86" -- Killer of eyes. Like, HOLY SHIT.
		}
		local namecolor1, namecolor2 = col_table[color1], col_table[color2]
		if namecolor1 == nil then namecolor1 = "\x80" end
		if namecolor2 == nil then namecolor2 = "\x80" end
		
		v.draw( -- Player 1's character, name and color.
			16, 188, v.getSprite2Patch(skin_string1, SPR2_XTRA, false, 2),
			V_SNAPTOLEFT|V_SNAPTOBOTTOM, v.getColormap(skin_string1, color_val1)
		)
		v.drawString(10, 158, "\x85"+"P1", V_SNAPTOLEFT|V_SNAPTOBOTTOM|V_ALLOWLOWERCASE, "left")
		v.drawString(28, 172, namecolor1+name_string1, V_SNAPTOLEFT|V_SNAPTOBOTTOM|V_ALLOWLOWERCASE, name_alignment1)
		v.drawString(28, 180, "\x80"+color_string1, V_SNAPTOLEFT|V_SNAPTOBOTTOM|V_ALLOWLOWERCASE, color_alignment1)
		
		v.draw( -- Player 2's character, name and color.
			304, 188, v.getSprite2Patch(skin_string2, SPR2_XTRA, false, 2),
			V_SNAPTORIGHT|V_SNAPTOBOTTOM|V_FLIP, v.getColormap(skin_string2, color_val2)
		)
		v.drawString(310, 158, "\x84"+"P2", V_SNAPTORIGHT|V_SNAPTOBOTTOM|V_ALLOWLOWERCASE, "right")
		v.drawString(292, 172, namecolor2+name_string2, V_SNAPTORIGHT|V_SNAPTOBOTTOM|V_ALLOWLOWERCASE, name_alignment2)
		v.drawString(292, 180, "\x80"+color_string2, V_SNAPTORIGHT|V_SNAPTOBOTTOM|V_ALLOWLOWERCASE, color_alignment2)
	end
end