local L = L_MinHud

local CV = L.Console
local HUD = L.HeadsUpDisplay
local FN = L.Functions

local rlock = false
local function DoResetLock()
-- Reset variables when need-be. Lock prevents continuous code execution.
	if not FN.Draw() and (rlock) then
		FN.ResetVars()
		rlock = false
	elseif FN.Draw() and not (rlock) then
		rlock = true
	end
end

HUD.DrawGameHUD = function(v, player, cam)
-- Hook up gameplay-related HUD code.
	DoResetLock()
	FN.Ticker("game", player)
	
	HUD.VanillaHUDControl(v, player, cam)
	
	HUD.MinHUDRings(v, player, cam)
	HUD.MinHUDPowers(v, player, cam)
	HUD.MinHUDTimer(v, player, cam)
	HUD.MinHUDScore(v, player, cam)
	HUD.MinHUDLives(v, player, cam)
	
	HUD.MinHUDRingslinger(v, player, cam)
	HUD.MinHUDTeam(v, player, cam)
	
	HUD.MinHUDSeenPlayer(v, player, cam)
end
hud.add(HUD.DrawGameHUD, "game")

HUD.DrawTitleHUD = function(v)
-- Hook up title-related HUD code.
	FN.Ticker("title", nil)
	DoResetLock()
	
	HUD.MinHUDPlayerConfiguration(v)
	HUD.MinHUDModInformation(v)
end
hud.add(HUD.DrawTitleHUD, "title")

local function TrackRedFlag(mo) -- Track the red flag.
	L.RedFlag = mo
end
local function TrackBlueFlag(mo) -- Track the blue flag.
	L.BlueFlag = mo
end
addHook("MobjThinker", TrackRedFlag, MT_REDFLAG)
addHook("MobjThinker", TrackBlueFlag, MT_BLUEFLAG)

local function SeenPlayerHook(player, seenplayer)
-- Intercept seen player mechanic. Allow MinHUD's own version.
	if FN.Draw() and CV.SeenPlayer.value then
		if (player and player.valid) and (player == consoleplayer)
		and (seenplayer and seenplayer.valid)
			L.SeenPlayer = seenplayer
			L.SeenTics = TICRATE/2
		end
		return false
	end
end
addHook("SeenPlayer", SeenPlayerHook)

addHook("MapLoad", FN.ResetVars)
addHook("MapChange", FN.ResetVars)